For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resellers

Update order reseller

put

Update order reseller

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
PartnerCodestringOptional
ResellerCodestringOptional
OrderRefNointegerOptional
Responses
200

OK

application/json
ResellerCodestringOptionalExample: CJ1UK1MFB
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
EmailstringOptionalExample: jonathan.smith@mail.com
CompanystringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
StatestringOptionalExample: Ontario
PostalCodestringOptionalExample: 5514
PhonestringOptionalExample: 98765432123
CountrystringOptionalExample: ca
FaxstringOptionalExample: 12345
PartnerCodestringOptionalExample: LPY6RR782t
put/channelmanager/orders/reseller
PUT /rest/6.0/channelmanager/orders/reseller HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 76

{
  "OrderRefNo": 73152235,
  "PartnerCode": "bhdgh46b",
  "ResellerCode": "Q6WSZXXAA7"
}
{
  "ResellerCode": "CJ1UK1MFB",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Email": "jonathan.smith@mail.com",
  "Company": "Blue Sky Company",
  "Address": "Elm Street 112",
  "State": "Ontario",
  "PostalCode": 5514,
  "Phone": 98765432123,
  "Country": "ca",
  "Fax": 12345,
  "PartnerCode": "LPY6RR782t"
}

Search resellers by filter

get
Query parameters
partnerCodestringOptionalExample: PARTNER1
pagenumberOptionalExample: 1
limitnumberOptionalExample: 20
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

Returns reseller collection

application/json
get/channelmanager/resellers
GET /rest/6.0/channelmanager/resellers HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
{
  "Items": [
    {
      "ResellerCode": "CJ1UK1MFB",
      "FirstName": "Jonathan",
      "LastName": "Smith",
      "Email": "jonathan.smith@mail.com",
      "Company": "Blue Sky Company",
      "Address": "Elm Street 112",
      "State": "Ontario",
      "PostalCode": 5514,
      "Phone": 98765432123,
      "Country": "ca",
      "Fax": 12345,
      "PartnerCode": "LPY6RR782t"
    }
  ],
  "Pagination": {
    "Page": 1,
    "Limit": 10,
    "Count": 12
  }
}

Create reseller

post

Create reseller

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
FirstNamestringOptional
LastNamestringOptional
CompanystringOptional
EmailstringOptional
AddressstringOptional
CitystringOptional
PostalCodestringOptional
CountrystringOptional
StatestringOptional
PhonestringOptional
FaxstringOptional
PartnerCodestringOptional
Responses
200

OK

application/json
ResellerCodestringOptionalExample: CJ1UK1MFB
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
EmailstringOptionalExample: jonathan.smith@mail.com
CompanystringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
StatestringOptionalExample: Ontario
PostalCodestringOptionalExample: 5514
PhonestringOptionalExample: 98765432123
CountrystringOptionalExample: ca
FaxstringOptionalExample: 12345
PartnerCodestringOptionalExample: LPY6RR782t
post/channelmanager/resellers
POST /rest/6.0/channelmanager/resellers HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 253

{
  "FirstName": "John",
  "LastName": "Doe",
  "Company": "test company",
  "Email": "john.doe@example.com",
  "Address": "Address details",
  "City": "Los Angeles",
  "PostalCode": "12354",
  "Country": "us",
  "State": "California",
  "Phone": "265897456",
  "Fax": "",
  "PartnerCode": "bhdgh46b"
}
{
  "ResellerCode": "CJ1UK1MFB",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Email": "jonathan.smith@mail.com",
  "Company": "Blue Sky Company",
  "Address": "Elm Street 112",
  "State": "Ontario",
  "PostalCode": 5514,
  "Phone": 98765432123,
  "Country": "ca",
  "Fax": 12345,
  "PartnerCode": "LPY6RR782t"
}

Update reseller

put

Update reseller

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
FirstNamestringOptional
LastNamestringOptional
CompanystringOptional
EmailstringOptional
AddressstringOptional
CitystringOptional
PostalCodestringOptional
CountrystringOptional
StatestringOptional
PhonestringOptional
FaxstringOptional
PartnerCodestringOptional
ResellerCodestringOptional
Responses
200

OK

application/json
ResellerCodestringOptionalExample: CJ1UK1MFB
FirstNamestringOptionalExample: Jonathan
LastNamestringOptionalExample: Smith
EmailstringOptionalExample: jonathan.smith@mail.com
CompanystringOptionalExample: Blue Sky Company
AddressstringOptionalExample: Elm Street 112
StatestringOptionalExample: Ontario
PostalCodestringOptionalExample: 5514
PhonestringOptionalExample: 98765432123
CountrystringOptionalExample: ca
FaxstringOptionalExample: 12345
PartnerCodestringOptionalExample: LPY6RR782t
put/channelmanager/resellers
PUT /rest/6.0/channelmanager/resellers HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 281

{
  "FirstName": "John",
  "LastName": "Doe",
  "Company": "test company",
  "Email": "john.doe@example.com",
  "Address": "Address details",
  "City": "Los Angeles",
  "PostalCode": "12354",
  "Country": "us",
  "State": "California",
  "Phone": "265897456",
  "Fax": "",
  "PartnerCode": "bhdgh46b",
  "ResellerCode": "Q6WSZXXAA7"
}
{
  "ResellerCode": "CJ1UK1MFB",
  "FirstName": "Jonathan",
  "LastName": "Smith",
  "Email": "jonathan.smith@mail.com",
  "Company": "Blue Sky Company",
  "Address": "Elm Street 112",
  "State": "Ontario",
  "PostalCode": 5514,
  "Phone": 98765432123,
  "Country": "ca",
  "Fax": 12345,
  "PartnerCode": "LPY6RR782t"
}

Last updated

Was this helpful?